# Class RenderBoard

java.lang.Object
RenderBoard

class RenderBoard extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private int[][]`
  `boardState`
  `private int`
  `height`
  `private int`
  `width`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RenderBoard(int width, int height)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `drawBoard(Graphics g, int x, int y, int w, int h)`
  `void`
  `update(GomokuGame game)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### width

    private int width

  - ### height

    private int height

  - ### boardState

    private int[][] boardState

- ## Constructor Details

  - ### RenderBoard

    public RenderBoard(int width, int height)

- ## Method Details

  - ### update

    public void update(GomokuGame game)

  - ### drawBoard

    public void drawBoard(Graphics g, int x, int y, int w, int h)